Package com.independentsoft.office.odf.forms

# Enum Class NavigationMode

java.lang.Object
java.lang.Enum<NavigationMode>
com.independentsoft.office.odf.forms.NavigationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<NavigationMode>`, `Constable`

public enum NavigationMode extends Enum<NavigationMode>
Represents methods for navigation of a database aware form.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CURRENT`
  An user interface is provided and the navigation is performed on the current form.
  `NONE`
  A user interface is provided and the navigation is performed on the parent form of the current form.
  `PARENT`
  A dedicated user interface is not provided, but the form may be navigated using the TAB and SHIFT/TAB keys on the keyboard.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static NavigationMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static NavigationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CURRENT

    public static final NavigationMode CURRENT
    An user interface is provided and the navigation is performed on the current form.

  - ### PARENT

    public static final NavigationMode PARENT
    A dedicated user interface is not provided, but the form may be navigated using the TAB and SHIFT/TAB keys on the keyboard.

  - ### NONE

    public static final NavigationMode NONE
    A user interface is provided and the navigation is performed on the parent form of the current form.

- ## Method Details

  - ### values

    public static NavigationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static NavigationMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null